Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Dynamic Currency Conversion Captures


This section provides the information you need to process a capture with Dynamic Currency Conversion.

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{  "clientReferenceInformation": {    "code": "CRI Code",    "comments": "IndustrySpecificValue",    "partner": {      "developerId": "ptpDevID",      "solutionId": "ptpSolutionId",      "thirdPartyCertificationNumber": "ptpTPCN"    }  },  "merchantInformation": {    "transactionLocalDateTime": "20240122115959"  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": 9900.00,      "originalAmount": 9428.57,      "originalCurrency": "EUR"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/captures/7413056598446149103814/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/captures/7413056598446149103814"    }  },  "clientReferenceInformation": {    "comments": "IndustrySpecificValue",    "code": "CRI Code",    "partner": {      "developerId": "ptpDevID",      "solutionId": "ptpSolutionId"    }  },  "id": "7413056598446149103814",  "orderInformation": {    "amountDetails": {      "totalAmount": "9900.00",      "currency": "USD"    }  },  "reconciliationId": "7413055860956965503812",  "status": "PENDING",  "submitTimeUtc": "2025-03-07T00:01:00Z"}
FieldDescription
clientReferenceInformation.codeThis field value maps from the original authorization, sale, or credit transaction.
clientReferenceInformation.commentsSet the value to UseIndustryDesignatedValue.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.originalAmount—
orderInformation.amountDetails.originalCurrency—
orderInformation.amountDetails.totalAmount—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.